<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/08/2005 *
 * ===================                          Last change: 01/01/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : gen_mediadata.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Checks for existing mail orders                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Prueft bestehende Mailbuchungen                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Init array/varriable
$bcount = '0';
$content = array(
	'normal_send'   => 0,
	'normal_clicks' => 0,
	'bonus_send'    => 0,
	'bonus_clicks'  => 0
);

// Check for normal mails
$result_media = SQL_QUERY('SELECT
	SUM(`max_rec`) AS `normal_send`,
	SUM(`clicks`) AS `normal_clicks`
FROM
	`{?_MYSQL_PREFIX?}_user_stats`', __FILE__, __LINE__);
$content = merge_array($content, SQL_FETCHARRAY($result_media));

// Free memory
SQL_FREERESULT($result_media);

// Check for bonus extension
if (isExtensionActive('bonus')) {
	// Count bonus mails
	$bcount = countSumTotalData('', 'bonus', 'id', '', true);

	// Check for bonus mails
	$result_media = SQL_QUERY('SELECT
	SUM(`mails_send`) AS `bonus_send`,
	SUM(`clicks`) AS `bonus_clicks`
FROM
	`{?_MYSQL_PREFIX?}_bonus`', __FILE__, __LINE__);
	$content = merge_array($content, SQL_FETCHARRAY($result_media));

	// Free memory
	SQL_FREERESULT($result_media);
} // END - if

// Load (maybe) missing file
loadIncludeOnce('inc/libs/mediadata_functions.php');

// Insert info to database
updateMediadataEntry(array('total_send'  , 'normal_send')  , 'init', $content['normal_send']);
updateMediadataEntry(array('total_clicks', 'normal_clicks'), 'init', $content['normal_clicks']);
updateMediadataEntry(array('total_orders', 'normal_orders'), 'init', countSumTotalData('', 'user_stats', 'id', '', true));
updateMediadataEntry(array('total_send'  , 'bonus_send' )  , 'init', $content['bonus_send']);
updateMediadataEntry(array('total_clicks', 'bonus_clicks') , 'init', $content['bonus_clicks']);
updateMediadataEntry(array('total_orders', 'bonus_orders') , 'init', $bcount);

// Aquire total used points
$used = countSumTotalData('', 'user_data', 'used_points', '');

// ... and total points
$points = countSumTotalData('', 'user_points', 'points', '');

// Update database
updateMediadataEntry(array('total_points'), 'init', ($points - $used));

// [EOF]
?>
