<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/07/2004 *
 * ===================                          Last change: 11/25/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_transfer.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Point transfers                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Punktetransfers                                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isFormSent('delete')) {
	// Delete entries from tables
	if (ifPostContainsSelections()) {
		// Init SQLs
		initSqls();

		// Delete entries...
		foreach (postRequestParameter('sel') as $id => $sel) {
			addSql(SQL_QUERY_ESC('DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_transfers_in` WHERE `trans_id`=%s LIMIT 1',
				array(bigintval($id)), __FILE__, __LINE__, false));
			addSql(SQL_QUERY_ESC('DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_transfers_out` WHERE `trans_id`=%s LIMIT 1',
				array(bigintval($id)), __FILE__, __LINE__, false));
		} // END - foreach

		// Run all SQLs
		runFilterChain('run_sqls');
	} // END - if
} // END - if

// We only need outgoing transfers
$result = SQL_QUERY('SELECT
	`userid` AS `from_userid`, `to_userid`, `trans_id`, `points`, `reason`, `time_trans`
FROM
	`{?_MYSQL_PREFIX?}_user_transfers_out`
ORDER BY
	`trans_id` ASC', __FILE__, __LINE__);

$total = '0';
if (!SQL_HASZERONUMS($result)) {
	// Output rows
	$OUT = '';
	while ($content = SQL_FETCHARRAY($result)) {
		// Prepare data for the row template
		$content['time_trans'] = generateDateTime($content['time_trans'], 3);

		// Load row template
		$OUT .= loadTemplate('admin_delete_transfer_row', true, $content);

		// Sum points and switch colors
		$total += $content['points'];
	} // END - while

	// Free memory
	SQL_FREERESULT($result);
} else {
	// Nothing for in and out
	$OUT = '<tr>
  <td colspan="6" align="center" class="bottom">
    ' . loadTemplate('admin_settings_saved', true, '{--TRANSFER_NO_INOUT_TRANSFERS--}') . '
  </td>
</tr>';
}

// ... and add them to a constant for the template
$content['rows'] = $OUT;

// Remeber total amount
$content['total'] = $total;

// Set title
$content['title'] = '{--TRANSFER_LIST_ALL--}';

// Show delete button here
$content['delete'] = '<input type="reset" class="form_reset" value="{--UNDO_SELECTIONS--}" />
<input type="submit" name="delete" class="form_delete" value="{--TRANSFER_DELETE--}" />';

// Load final template
loadTemplate('admin_list_transfer', false, $content);

// [EOF]
?>
