<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/26/2004 *
 * ===================                          Last change: 11/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-active.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Today active members list                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Liste heutiger aktiver Mitglieder                *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('guest', __FILE__);

if ((!isExtensionActive('active')) && (!isAdmin())) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('active'));
	return;
} // END - if

// Extra field to include is by default userid
$add = 'userid';

// If nickname is installed the extra field is the nickname of the user
if (isExtensionActive('nickname')) $add = 'nickname';

// Check for members who were active only this day
$result = SQL_QUERY("SELECT
	`userid`, `".$add."`, `last_online`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	`last_online` >= {?START_TDAY?} AND
	`status`='CONFIRMED'
ORDER BY
	`last_online` DESC
LIMIT {?active_limit?}", __FILE__, __LINE__);

// Entries found?
if (!SQL_HASZERONUMS($result)) {
	// At least one member was online so let's load them all
	$OUT = '';
	while (list($userid, $nick, $last) = SQL_FETCHROW($result)) {
		$nick2 = '---';
		if (($nick != $userid) && (!empty($nick))) $nick2 = $nick;

		// Transfer data to array
		$content = array(
			'userid'      => $userid,
			'nickname'    => $nick2,
			'points'      => getTotalPoints($userid),
			'last_online' => generateDateTime($last, 2),
		);

		// Load template
		$OUT .= loadTemplate('guest_active_row', true, $content);
	} // END - while
} else {
	// No member was online today! :-(
	$OUT = loadTemplate('guest_active_none_row', true);
}

// Load template
loadTemplate('guest_active_table', false, $OUT);

// [EOF]
?>
