<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/22/2005 *
 * ===================                          Last change: 06/20/2010 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : monthly_beg.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Monthly begging rallye                           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Monatliche Bettelrallye                          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif ((isCssOutputMode()) || (!isResetModeEnabled())) {
	// Do not execute when script is in CSS mode or no daily reset
	return;
} elseif ((!isExtensionActive('beg')) || (!isBegRallyeEnabled())) {
	logDebugMessage(__FILE__, __LINE__, 'Not resetting, needed extension disabled.');
	return;
}

// Get current month (2 digits)
$curr = getMonth();

// Check if month is done
if (($curr != getConfig('last_month')) && (getConfig('last_month') > 0) && (getConfig('beg_ranks') > 0) && (!isCssOutputMode())) {
	// Extension 'autopurge' is inactive or purging of inactive accounts is deactivated
	$whereStatement1 = '';

	// Shall we exclude webmaster's own userid?
	if ((getConfig('beg_include_own') != 'Y') && (isValidUserId(getConfig('beg_userid')))) {
		// Exclude it
		$whereStatement1 = " AND `userid` != {?beg_userid?}";
	} // END - if

	// Let's check if there are some points left we can pay...
	if (isExtensionActive('autopurge')) {
		// Use last online stamp only when autopurge for inactive members is activated
		if ((getApInactiveSince() > 0) && (getConfig('beg_active') == 'Y')) {
			// Okay, include last online timestamp
			$whereStatement1 .= " AND `last_online` >= (UNIX_TIMESTAMP() - {?ap_inactive_since?})";
		} // END - if
	} // END - if

	// SQL string to check for accounts
	$result_main = SQL_QUERY("SELECT
	`userid`, `email`, `gender`, `surname`, `family`, `beg_points` AS points
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	`status`='CONFIRMED'" . $whereStatement1 . " AND
	`beg_points` > 0
ORDER BY
	`beg_points` DESC,
	`userid` ASC
LIMIT {?beg_ranks?}", __FILE__, __LINE__);

	if (!SQL_HASZERONUMS($result_main)) {
		// Load our winners...
		while ($content = SQL_FETCHARRAY($result_main)) {
			// Add points to user's account directly
			addPointsDirectly('monthly_beg', $content['userid'], $content['points']);

			// Load email template and email it away
			$message = loadEmailTemplate('member_beg', $content, bigintval($content['userid']));
			sendEmail($content['email'], '{--BEG_MONTHLY_RALLYE--}', $message);
		} // END - while

		// Reset accounts
		$result = SQL_QUERY('UPDATE `{?_MYSQL_PREFIX?}_user_data` SET `beg_points`=0.00000 WHERE `beg_points` > 0', __FILE__, __LINE__);
	} // END - if

	// Free memory
	SQL_FREERESULT($result_main);
} // END - if

// [EOF]
?>
